
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HDU4738(割边) / 憋错料</title>

    <meta name="description" content="HDU4738(割边) Caocao's Bridges Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total Submission(s): 3898    Accepted Submission(s): 1225 Problem Description Caocao was defeated by Zhuge Liang and Zhou Yu in the battle of Chibi. B">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">HDU4738(割边)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>Caocao‘s Bridges</h1>
<p><strong>Time Limit: 2000/1000 MS (Java/Others)&nbsp;&nbsp;&nbsp;&nbsp;Memory Limit: 32768/32768 K (Java/Others)<br />Total Submission(s): 3898&nbsp;&nbsp;&nbsp;&nbsp;Accepted Submission(s): 1225<br /></strong></p>
<h3>Problem Description</h3>
<p>Caocao was defeated by Zhuge Liang and Zhou Yu in the battle of Chibi. But he wouldn‘t give up. Caocao‘s army still was not good at water battles, so he came up with another idea. He built many islands in the Changjiang river, and based on those islands, Caocao‘s army could easily attack Zhou Yu‘s troop. Caocao also built bridges connecting islands. If all islands were connected by bridges, Caocao‘s army could be deployed very conveniently among those islands. Zhou Yu couldn‘t stand with that, so he wanted to destroy some Caocao‘s bridges so one or more islands would be seperated from other islands. But Zhou Yu had only one bomb which was left by Zhuge Liang, so he could only destroy one bridge. Zhou Yu must send someone carrying the bomb to destroy the bridge. There might be guards on bridges. The soldier number of the bombing team couldn‘t be less than the guard number of a bridge, or the mission would fail. Please figure out as least how many soldiers Zhou Yu have to sent to complete the island seperating mission.</p>

<h3>Input</h3>
<p>There are no more than 12 test cases.</p>
<p>In each test case:</p>
<p>The first line contains two integers, N and M, meaning that there are N islands and M bridges. All the islands are numbered from 1 to N. ( 2 &lt;= N &lt;= 1000, 0 &lt; M &lt;= N<sup>2</sup>&nbsp;)</p>
<p>Next M lines describes M bridges. Each line contains three integers U,V and W, meaning that there is a bridge connecting island U and island V, and there are W guards on that bridge. ( U &ne; V and 0 &lt;= W &lt;= 10,000 )</p>
<p>The input ends with N = 0 and M = 0.</p>

<h3>Output</h3>
<p>For each test case, print the minimum soldier number Zhou Yu had to send to complete the mission. If Zhou Yu couldn‘t succeed any way, print -1 instead.</p>

<h3>Sample Input</h3>
<p>3 3</p>
<p>1 2 7</p>
<p>2 3 4</p>
<p>3 1 4</p>
<p>3 2</p>
<p>1 2 7</p>
<p>2 3 4</p>
<p>0 0</p>

<h3>Sample Output</h3>
<p>-1</p>
<p>4</p>

<h3>Source</h3>
<p><a href="http://acm.split.hdu.edu.cn/search.php?field=problem&amp;key=2013+ACM%2FICPC+Asia+Regional+Hangzhou+Online&amp;source=1&amp;searchmode=source" rel="external nofollow noreferrer">2013 ACM/ICPC Asia Regional Hangzhou Online</a></p>

<p>题意：有n座岛和m条桥，每条桥上有w个兵守着，现在要派不少于守桥的士兵数的人去炸桥，只能炸一条桥，使得这n座岛不连通，求最少要派多少人去。</p>
<p>分析：只需要用Tarjan算法求出图中权值最小的那条桥就行了。但是这题有神坑。</p>
<p>第一坑：如果图不连通，不用派人去炸桥，直接输出0</p>
<p>第二坑：可能会有重边，即两座岛之间有多座桥(坑T_T)</p>
<p>第三坑：如果桥上没有士兵守着，那至少要派一个人去炸桥。</p>
<pre> 1 //2016.9.16
 2 #include &lt;iostream&gt;
 3 #include &lt;cstdio&gt;
 4 #include &lt;algorithm&gt;
 5 #include &lt;cstring&gt;
 6 #define N 1005
 7
 8 using namespace std;
 9
10 const int inf = 0x3f3f3f3f;
11 int edge[N][N], vis[N], num[N], low[N], n, m, Index, ans, root;//vis表示连通的集合。
12
13 void tarjan(int cur, int fa)
14 {
15     Index++;
16     num[cur] = low[cur] = Index;
17     vis[cur] = 1;
18     for(int i = 1; i &lt;= n; i++)
19     {
20         if(edge[cur][i]!=inf)
21         {
22             if(num[i] == 0)
23             {
24                 tarjan(i, cur);
25                 low[cur] = min(low[cur], low[i]);
26                 if(low[i]&gt;num[cur])
27                       if(ans&gt;edge[cur][i])
28                           ans = edge[cur][i];
29             }else if(i != fa)
30             {
31                 low[cur] = min(low[cur], num[i]);
32             }
33         }
34     }
35     return;
36 }
37
38 int main()
39 {
40     int u, v, w;
41     while(scanf("%d%d", &amp;n, &amp;m)!=EOF)
42     {
43         if(!n &amp;&amp; !m)break;
44         memset(edge, inf, sizeof(edge));//图权值为inf表示断开
45         memset(num, 0, sizeof(num));
46         memset(low, 0, sizeof(low));
47         memset(vis, 0, sizeof(vis));
48         Index = 0, root = 1, ans = inf;
49         for(int i = 0; i &lt; m; i++)
50         {
51             scanf("%d%d%d", &amp;u, &amp;v, &amp;w);
52             if(edge[u][v] == inf)
53             {
54                 edge[u][v] = w;
55                 edge[v][u] = w;
56             }else//如果重边，必不为割边，但也不为断开，把权值设为inf一半
57             {
58                 edge[u][v] = inf/2;
59                 edge[v][u] = inf/2;
60             }
61         }
62         tarjan(1, root);
63         bool fg = true;//判断图是否连通
64         for(int i = 1; i &lt;= n; i++)
65               if(!vis[i])
66             {
67                 printf("0\n");
68                 fg = false;
69                 break;
70             }
71         if(!fg)continue;
72         if(ans == inf || ans == inf/2)printf("-1\n");
73         else if(ans == 0)printf("1\n");//若无守兵，至少派一人去
74         else printf("%d\n", ans);
75     }
76
77     return 0;
78 }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 09:30:26 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>HDU4738(割边)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Z6R9g3.html" rel="bookmark">&lbrack;HDU4738&rsqb;Caocao&amp;&num;39&semi;s Bridges&lpar;求割边最小权值）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://acm.hdu.edu.cn/showproblem.php?pid=4738 #include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;cstring&gt; #include&lt;algorithm&gt; using namespace std; const int maxn=1e3+4,maxm=1e6+4; int dfn[maxn],low[maxn],head[maxn]; int n,m,cnt=0,rt,ans			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kYOlE4.html" rel="bookmark">hdu-4738（tarjan割边）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:给你n个点,m条边,边有权值,问你最小的花费使图不连通: 解题思路:就是求边权最小的割边,但这道题有坑点: 1.有重边(桥的两个点有重边时,你去掉一条边并没什么d用): 2.当权值为0的时候,我们也需要放一个人(被这个坑死了0.0): #include&lt;iostream&gt; #include&lt;algorithm&gt; #include&lt;cstdio&gt; #include&lt;cstring&gt; #define maxn 1100 #define inf 0x3f3f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/pMPX1vM.html" rel="bookmark">HDU 6214 最小割边</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				双倍经验题:HDU 6214,3987 求最小割的最小边. 方案一: 首先跑最大流,这个时候割上都满载了,于是将满载的边 cap = 1,其他 inf ,再跑最大流,这个时候限定这个网络的关键边就是那个最少边的那个割. 方案二: 奇技淫巧,将每条边 cap* A + 1,最大流 = flow / A ,最小割边 = fow % A: 原理:每条边容量扩大 到 cap * A + 1,那么最大流也一定扩大到 *A + 1,原图是多解,但是新图, 例如最少边的个是2条边,那么他就扩大到了 *A +			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r4JLYQ0.html" rel="bookmark">【学习整理】Tarjan：强连通分量&plus;割点&plus;割边</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Tarjan求强连通分量 在一个有向图中,如果某两点间都有互相到达的路径,那么称中两个点强联通,如果任意两点都强联通,那么称这个图为强联通图:一个有向图的极大强联通子图称为强联通分量.   算法可以在 的时间内求出一个图的所有强联通分量. 表示进入结点 的时间 表示从 所能追溯到的栈中点的最早时间 如果某个点 已经在栈中则更新  否则对 进行回溯,并在回溯后更新  #include&lt;iostream&gt; #include&lt;cstdlib&gt; #include&lt;cstdio&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q3qJgz4.html" rel="bookmark">hdu 3204&lpar;最小割--关键割边&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ikki's Story I - Road Reconstruction Time Limit: 2000MS   Memory Limit: 131072K Total Submissions: 7491   Accepted: 2172 Description Ikki is the king of a small country – Phoenix, Phoenix is so small that there is only one city that is responsible fo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/AMDQw80.html" rel="bookmark">HDU 4738 Caocao&amp;&num;39&semi;s Bridges（割边）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				乍一看一个模板题,仔细一看还是模板题,但是三个坑.1,不是连通图,放0个.2 守卫为0,放1个. 3注意重边. #include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;vector&gt; #include&lt;queue&gt; #include&lt;algorithm&gt; #include&lt;stack&gt; #include&lt;cstring&gt; using namespace std; #define maxn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Z0KRWKM.html" rel="bookmark">《啊哈算法》&mdash;&mdash;割点、割边、二分图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章我们简单的介绍求解图的割点.割边和二分图相关的概念. 割点: 对于含n个点.m条边的连通无向图G,如果去掉顶点vi(并同时去掉与之相连的边),使得G不再连通,那么称vi是一个割点. 通过其定义,我们不难判断某个点是否是割点,但是现在我们面临的问题是,如何给出一个图G,编码让计算机求解割点呢? 首先我们考虑这样一个问题,判定某个点的指标是什么.我们通过人脑来判断其是否是割点,其实是利用非常模糊的视觉效应,即“通过去掉该点观察图是否连通”即可,而如果想要通过计算机来判断,就需要非常量化的判断			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4APpLb3.html" rel="bookmark">Burning Bridges   求tarjan求割边</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Burning Bridges 给出含有n个顶点和m条边的连通无向图,求出所有割边的序号. 1 #include &lt;cstdio&gt; 2 #include &lt;cstring&gt; 3 #define clr(a) memset(a,0,sizeof(a)) 4 #define N 10005 5 #define M 100005 6 #define MIN(a,b) ((a)&gt;(b)?(b):(a)) 7 typedef struct NodeStr //边结点 8 { 9 int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmGgEY3.html" rel="bookmark">POJ3694&lpar;KB9-D 割边&plus;LCA&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Network Time Limit: 5000MS   Memory Limit: 65536K Total Submissions: 10371   Accepted: 3853 Description A network administrator manages a large network. The network consists of N computers and M links between pairs of computers. Any pair of computers			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38NkA1M.html" rel="bookmark" class="title">Jquery  常用笔记 &lpar;一&rpar;</a>
					<div>
						此系列博客主要是记录常用到的Jquery的功能,如果有不正确的地方请大家指教,后续部分不定时更新(zouw) 1.选择器 语法:$(selector)  示例如下 1.$(&quot;*&quot;) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVgKX10.html" rel="bookmark" class="title">iOS菜鸟成长笔记（2）&mdash;&mdash;网易彩票练习（1）</a>
					<div>
						距离上一篇&lt;第一个iOS应用&gt;已经有一个多月了,今天来和大家一起学习和分享一下一个小练习&lt;网易彩票&gt; 首先我们向storyboard中拖入一个TabBarController和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QWmrl0.html" rel="bookmark" class="title">软件测试基本方法（二）之白盒测试</a>
					<div>
						白盒测试 概念:按照程序内部的结构测试程序,通过测试来检测产品内部动作是否按照设计规格说明书的规定正常进行,检验程序中的每条通路是否都能按预定要求正确工作. 分类:白盒测试是基于覆盖的测试,尽可能覆盖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49boopM.html" rel="bookmark" class="title">setTimeout的一些细节</a>
					<div>
						定义和用法 setTimeout() 方法用于在指定的毫秒数后调用函数或计算表达式. 语法 setTimeout(code,millisec) code 和 millisec 都是必填参数, code ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjYXL0.html" rel="bookmark" class="title">在服务程序中弹出对话框</a>
					<div>
						最近一个项目中,客户一定要在服务程序中弹出对话框.跟客户好说歹说,说我们已经记了Log,弹对话框没有意义,反而可能由于弹框后没有人管,造成程序停滞在那里的情况.但是,客户不管这些,就要弹对话框. 没辙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5W6L3.html" rel="bookmark" class="title">Android性能专项测试之battery-historian</a>
					<div>
						数据准备 battery-historian工具需要使用bugreport中的Battery History 数据,我们在开始的时候需要通过以下命令来打开电池数据的获取以及重置: &lt;code c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgzzm3.html" rel="bookmark" class="title">【学习笔记】bootstrap之CSS布局</a>
					<div>
						CSS布局 1)使用Bootstrap的时候,所有的HTML文件都需要在其 顶部引用HTML5的DOCTYPE属性, &lt;!DOCTYPE html&gt; &lt;html lang=“en”& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXLQLVM.html" rel="bookmark" class="title">中國好聲音場外手機中獎是不是真實的</a>
					<div>
						颁奖热线0571一26891750记者证实到,中国好动静第三季颁奖电话::0571一26891750进行确.在中国好动静热播之际,的确举办了一系列面对广阔喜欢我们节目的人举办抽奖活动, 可是我们需求谨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxRWQ0.html" rel="bookmark" class="title">程序设计导引及在线实践 读书笔记2&period;1 &mdash;&mdash; 鸡兔同笼</a>
					<div>
						http://blog.csdn.net/pipisorry/article/details/36433305 问题描述 一个笼子里面关了鸡和兔子(鸡有2只脚,兔子有4只脚,没有例外).已经知道了笼子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eyKxv0.html" rel="bookmark" class="title">IntentService源码分析</a>
					<div>
						public abstract class IntentService extends Service { private volatile Looper mServiceLooper; privat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmoQqn3.html" rel="bookmark" class="title">Dreamweaver MX实例：图片应用技巧</a>
					<div>
						加快图片下载速度 如果网页中有过多的图片,就会影响浏览的速度. Dreamweaver 可以轻松设置预载图片,加快图片下载速度,让站点以最快的速度出现在用户面前. 效果说明 建立文件,先预载图片,使图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZbGWq3.html" rel="bookmark" class="title">Twisted安装</a>
					<div>
						Debian sudo apt-get install gcc python-dev &amp;&amp; sudo pip install twisted CentOS sudo yum insta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZpom3.html" rel="bookmark" class="title">Pollard-Rho学习笔记</a>
					<div>
						pollard-rho是对大数分解质因数的算法 先要米勒罗宾判下素数 主要思想是选取随机数,随机数生成是只与前一个随机数有关的. 这样因为生日悖论,选取重复导致出现循环的期望是根号n的 选取随机数 r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxyRz0.html" rel="bookmark" class="title">查询是否支持分区</a>
					<div>
						在5.6之前 是可以用 show variables like '%part%' 这个选项:have_partitioning                     | YES    来看的 在5. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49eeQv4.html" rel="bookmark" class="title">CSS3---结构性伪类选择器&mdash;empty</a>
					<div>
						结构性伪类选择器—empty :empty选择器表示的就是空.用来选择没有任何内容的元素,这里没有内容指的是一点内容都没有,哪怕是一个空格. 示例显示: 比如说,你的文档中有三个段落p元素,你想把没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j2rVW0.html" rel="bookmark" class="title">配置静态路由实现两个公司网路互联</a>
					<div>
						工作任务描述 A.B两公司都建有自己的独立局域网.而且相聚较远(超过100米),现在两公司进行了合并,需要通过铺设光纤来实现两公司局域网的网络通信和资源共享 问题1:静态路由和动态路由的区别? 答:静 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6lyo53.html" rel="bookmark" class="title">java 枚举类型使用总结</a>
					<div>
						注:阅读了effective java 讲诉enum的部分,做下笔记,下文中大部分代码来自effective java书中 枚举类型是指由一组固定的常量组成的合法值得类型. 使用枚举的好处:a,因为没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qa1mN4.html" rel="bookmark" class="title">linux C 实现FTP客户端</a>
					<div>
						**************************************************************************************** 我已参加2014&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wpRb14.html" rel="bookmark" class="title">Photoshop 使用阈值调整色阶</a>
					<div>
						1. 阈值原理 阈值的定义其实就是“临界点”,即过了这个临界点是一种情况(比如黑色),没有超过这个临界点是另外一种情况(比如白色),所以图像上只有黑.白两种情况出现.临界点的值由你定义: 阈值实际应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWjKGm4.html" rel="bookmark" class="title">站酷&lpar;ZCOOL&rpar;设计师互动平台</a>
					<div>
						推荐网址 http://www.zcool.com.cn/					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
